# API Overview

## Handles
Packages are referenced by a handle of the form `OWNER/NAME`. 

Team packages include a prefix, `TEAM:OWNER/NAME`.

## READMEs

A `README.md` is recommended at the root of every package.
README files support [full markdown syntax via remarkable](https://jonschlinkert.github.io/remarkable/demo/).
READMEs are rendered to HTML on the [package landing page](https://quiltdata.com/package/danWebster/sgRNAs).


## Short hashes
Commands that take hashes support "short hashes", up to uniqueness. In practice, 6-8 characters is sufficient to achieve uniqueness.

```sh
quilt install uciml/iris -x da2b6f
# matches da2b6f56f323b11f7ebe2e32fd3a920e82842aaf0d52fc48eeb1e20f470e66c7
```

## Instances, hashes, tags, and versions

* A package _instance_ is a package handle plus a hash. `akarve/sales:fc7f0b` is an instance. Instances are immutable.
* _Hashes_ are automatically generated by Quilt for each package build.
* _Tags_ are human-readable strings associated with a package instance. Tags can be altered to point to different instances of the same package. The most recent build is automatically tagged `"latest"`.
* _Versions_ are human-readable strings associated with a package instance. Unlike tags, versions can only ever point to a single package instance.
